package cn.iocoder.yudao.module.llm.dal.mysql.modelassesstaskauto;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.llm.dal.dataobject.modelassesstaskauto.ModelAssessTaskAutoDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.llm.controller.admin.modelassesstaskauto.vo.*;

/**
 * 模型评估任务 —— 自动评估 Mapper
 *
 * @author 华大大模型
 */
@Mapper
public interface ModelAssessTaskAutoMapper extends BaseMapperX<ModelAssessTaskAutoDO> {

    default PageResult<ModelAssessTaskAutoDO> selectPage(ModelAssessTaskAutoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ModelAssessTaskAutoDO>()
                .eq(ModelAssessTaskAutoDO::getDeleted, false)
                .likeIfPresent(ModelAssessTaskAutoDO::getTaskName, reqVO.getTaskName())
                .eqIfPresent(ModelAssessTaskAutoDO::getTaskInfro, reqVO.getTaskInfro())
                .eqIfPresent(ModelAssessTaskAutoDO::getCpuType, reqVO.getCpuType())
                .eqIfPresent(ModelAssessTaskAutoDO::getModelService, reqVO.getModelService())
                .eqIfPresent(ModelAssessTaskAutoDO::getDataset, reqVO.getDataset())
                .betweenIfPresent(ModelAssessTaskAutoDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(ModelAssessTaskAutoDO::getDimension, reqVO.getDimension())
                .orderByDesc(ModelAssessTaskAutoDO::getId));
    }

}